net.sourceforge.pmd.lang.jsp

## Class JspTokenManager

- java.lang.Object
- - net.sourceforge.pmd.lang.jsp.JspTokenManager

All Implemented Interfaces:
  TokenManager

    public class JspTokenManager
    extends Object
    implements TokenManager

JSP Token Manager implementation.

### Constructor Summary

Constructors
Constructor and Description
`JspTokenManager(Reader source)`

### Method Summary

Methods
`Object` `getNextToken()`
`void` `setFileName(String fileName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JspTokenManager

    public JspTokenManager(Reader source)

### Method Detail

#### getNextToken

    public Object getNextToken()

Specified by:
  `getNextToken` in interface `TokenManager`

#### setFileName

    public void setFileName(String fileName)

Specified by:
  `setFileName` in interface `TokenManager`